Package com.oracle.nosql.spring.data.core.mapping

# Interface NosqlPersistentProperty

All Superinterfaces:
  `org.springframework.data.mapping.PersistentProperty<NosqlPersistentProperty>`

All Known Implementing Classes:
  `BasicNosqlPersistentProperty`

public interface NosqlPersistentProperty extends org.springframework.data.mapping.PersistentProperty<NosqlPersistentProperty>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `NosqlPersistentProperty.TypeCode`
  To optimize class info for different properties make use of the typecode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NosqlPersistentProperty.TypeCode`
  `getTypeCode()`
  The code of the type of the property
  `boolean`
  `isCompositeKey()`
  Whether the property is a composite primary key.
  `boolean`
  `isNosqlKey()`
  Whether the property is a `NosqlKey`

  ### Methods inherited from interface org.springframework.data.mapping.PersistentProperty

  `findAnnotation, findPropertyOrOwnerAnnotation, getAccessorForOwner, getActualType, getAssociation, getAssociationTargetType, getAssociationTargetTypeInformation, getComponentType, getField, getGetter, getMapValueType, getName, getOwner, getPersistentEntityTypeInformation, getRawType, getRequiredAnnotation, getRequiredAssociation, getRequiredField, getRequiredGetter, getRequiredSetter, getRequiredWither, getSetter, getSpelExpression, getType, getTypeInformation, getWither, hasActualTypeAnnotation, isAnnotationPresent, isArray, isAssociation, isCollectionLike, isEntity, isIdProperty, isImmutable, isMap, isReadable, isTransient, isVersionProperty, isWritable, usePropertyAccess`

- ## Method Details

  - ### getTypeCode

    NosqlPersistentProperty.TypeCode getTypeCode()
    The code of the type of the property
    Returns:
      The property type code

  - ### isCompositeKey

    boolean isCompositeKey()
    Whether the property is a composite primary key.
    Since:
      1.6.0

  - ### isNosqlKey

    boolean isNosqlKey()
    Whether the property is a `NosqlKey`
    Since:
      1.6.0